<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2025-03-14 16:22:01
////////////////////


/**
 * Static Model gate_unlock  辅助:主线剧情解锁
 */
class sm_gate_unlock
{

    /**
    * @var Int32 关卡id: 
    *  命名规律:关卡类型(1主线2主线挑战）+ 地图资源类型(最大9999）+关卡难度(1普通2困难3噩梦）+ 关卡序号(最大999)
    *  例如：10010101,20010111
    *  备注: 地图资源类型(第一位: 1四方连续 2上下连续 3固定 4左右连续）  
    */
    public $gateId;

    /**
    * @var String 地图上的装饰物: id,num;id,num;....(最多6种)  
    */
    public $mapDecorations;

    /**
    * @var Int32 天气: 0 无, 1 落叶, 2 落花, 3 下雨, 4 下雪 default(0) 
    */
    public $weather;

    /**
    * @var String 主线挑战: 难度1-词条列表(逗号分隔)  
    */
    public $tz_predicates1;

    /**
    * @var String 主线挑战: 难度1-奖励列表(id,num;id,num...)  
    */
    public $tz_reward1;

    /**
    * @var String 主线挑战: 难度2-词条列表(逗号分隔)  
    */
    public $tz_predicates2;

    /**
    * @var String 主线挑战: 难度2-奖励列表(id,num;id,num...)  
    */
    public $tz_reward2;

    /**
    * @var String 主线挑战: 难度3-词条列表(逗号分隔)  
    */
    public $tz_predicates3;

    /**
    * @var String 主线挑战: 难度3-奖励列表(id,num;id,num...)  
    */
    public $tz_reward3;

    /**
    * @var Int32 0:没有关卡预告 1：该关有预告 default(0) 
    */
    public $preview;

}

