<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2025-03-25 09:49:15
////////////////////


/**
 * Static Model waveItem 辅助: 波次直查
 */
class sm_waveItem
{

    /**
    * @var Int32 关卡id  
    */
    public $gateId;

    /**
    * @var Int32 自战场开始以来的分钟数  
    */
    public $waveId;

    /**
    * @var String 怪物id(池)列表(id:权重,id:权重...)最多16个怪物id  
    */
    public $monsterIds;

    /**
    * @var Int32 最小数量: n(数量) default(0) 
    */
    public $minnum;

    /**
    * @var Int32 最大数量 default(300) 
    */
    public $maxnum;

    /**
    * @var Int32 补充频率(单位:毫秒)  
    */
    public $frequency;

    /**
    * @var Int32 放置机关(id): 0, 1, 2, ... default(0) 
    */
    public $mechanism;

    /**
    * @var String 波次事件ids(逗号分隔)  
    */
    public $events;

    /**
    * @var Int32 bossID default(0) 
    */
    public $bossId;

    /**
    * @var Int32 第二个bossID default(0) 
    */
    public $bossId2;

    /**
    * @var Int32 是否变身怪: 0 否, 非零 (CGid)  
    */
    public $isBianshen;

    /**
    * @var String 通向下一波的条件(1:击杀数量(不限种类)满足xxx后跳转; 2:倒计时xx秒结束后跳转; 3: 击杀指定id的怪物后跳转, 4: 限定xx秒内击杀指定id的怪物(boss)后跳转)例如(4:30,bossID), 5: boss血量低于x%(5:30,plotStage)
    *    
    */
    public $condition;

    /**
    * @var String 【挑战模式】本层奖励: (id,数量;id,数量;...)  
    */
    public $rewards;

    /**
    * @var String 通关宝石奖励(min-max;qual:weight,qual:weight,...)  
    */
    public $rewardGem;

    /**
    * @var String 通关道具奖励
    *  数量最小值-数量最大值;道具ID:获得权重，道具ID:获取权重......  
    */
    public $rewardItem;

    /**
    * @var Int32 通关金币奖励 default(0) 
    */
    public $rewardGold;

    /**
    * @var Int32 通关(指挥官)经验奖励 default(0) 
    */
    public $rewardExp;

    /**
    * @var String 通关图纸奖励(数量min-max)  
    */
    public $rewardTuZhi;

    /**
    * @var Single 是否控制镜头拉起(默认是10,拉起后12.5) default(10) 
    */
    public $cameraControl;

    /**
    * @var Int32 0 没有, 1 妖潮来袭, 2 boss来袭 default(0) 
    */
    public $warning;

    /**
    * @var Single 刷怪位置偏移,默认值为3.0 default(3) 
    */
    public $bornOffset;

    /**
    * @var Int32 波次开始时先放一颗炸弹:0 不放, 1 放 default(0) 
    */
    public $boom;

}

